<?php

namespace App\Model;

use Illuminate\Database\Eloquent\Model;


class OrderOperation extends Model
{
    protected $table = "order_operation"; //指定表
    const CREATED_AT = 'crt_time';
    const UPDATED_AT = 'upd_time';
    protected $dateFormat = 'U';

    //审批操作对应的数值
    const one = 1;
    const two = 2;
    const three = 3;
    const four = 4;
    const five = 5;
    const six = 6;
    const seven = 7;
    const eight = 8;
    const nine = 9;
    const ten = 10;
    const eve = 11;
    const twl = 12;
    const thi = 13;
    const fourteen = 14;
    const fif = 15;
    const sixty = 16;
    const seventeen = 17;
    const eighteen = 18;
    const nineteen = 19;

    public static $type = [
        self::one => '指派销售',
        self::two => '指派总社或分社',
        self::three => '合同确认',
        self::four => '合同弃审',
        self::five => '合同公司完结',
        self::six => '合同客户完结',
        self::seven => '收付款记录增加',
        self::eight => '发货单确认',
        self::nine => '退换货审核通过',
        self::ten => '退换货弃审',
        self::eve => '施工单审核通过',
        self::twl => '施工单弃审',
        self::thi => '采购确认',
        self::fourteen => '采购入库审核通过',
        self::fif => '采购入库弃审',
        self::sixty => '合同修改负责人',
        self::seventeen => '合同修改协同人',
        self::eighteen => '合同分配人',
        self::nineteen => '合同移交人',
    ];
}
